IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network232.16.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
- Network address
232.16.0.0- Broadcast address
232.31.255.255- First usable
232.16.0.1- Last usable
232.31.255.254- Usable hosts
- 1,048,574 (1,048,576 less the network and broadcast addresses)
- Subnet mask
255.240.0.0- Wildcard mask
0.15.255.255(Cisco ACLs, OSPF)- Prefix length
- /12
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
E8100000· Integer3893362688to3894411263 - Reverse DNS zones
16.232.in-addr.arpa17.232.in-addr.arpa18.232.in-addr.arpa19.232.in-addr.arpa20.232.in-addr.arpa21.232.in-addr.arpa22.232.in-addr.arpa23.232.in-addr.arpa24.232.in-addr.arpa25.232.in-addr.arpa26.232.in-addr.arpa27.232.in-addr.arpa28.232.in-addr.arpa29.232.in-addr.arpa30.232.in-addr.arpa31.232.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11101000.00010000.00000000.00000000 | 232.16.0.0 |
| Subnet mask | 11111111.11110000.00000000.00000000 | 255.240.0.0 |
| Network | 11101000.00010000.00000000.00000000 | 232.16.0.0 |
| Broadcast | 11101000.00011111.11111111.11111111 | 232.31.255.255 |
Split into smaller subnets
/13 (2)/14 (4)/15 (8)/16 (16)/17 (32)/18 (64)/19 (128)/20 (256)/21 (512)/22 (1,024)/23 (2,048)/24 (4,096)
232.16.0.0/12 makes 512 subnets of /21; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 232.16.0.0/21 | 232.16.0.1 to 232.16.7.254 | 232.16.7.255 | 2,046 |
| 2 | 232.16.8.0/21 | 232.16.8.1 to 232.16.15.254 | 232.16.15.255 | 2,046 |
| 3 | 232.16.16.0/21 | 232.16.16.1 to 232.16.23.254 | 232.16.23.255 | 2,046 |
| 4 | 232.16.24.0/21 | 232.16.24.1 to 232.16.31.254 | 232.16.31.255 | 2,046 |
| 5 | 232.16.32.0/21 | 232.16.32.1 to 232.16.39.254 | 232.16.39.255 | 2,046 |
| 6 | 232.16.40.0/21 | 232.16.40.1 to 232.16.47.254 | 232.16.47.255 | 2,046 |
| 7 | 232.16.48.0/21 | 232.16.48.1 to 232.16.55.254 | 232.16.55.255 | 2,046 |
| 8 | 232.16.56.0/21 | 232.16.56.1 to 232.16.63.254 | 232.16.63.255 | 2,046 |
| 9 | 232.16.64.0/21 | 232.16.64.1 to 232.16.71.254 | 232.16.71.255 | 2,046 |
| 10 | 232.16.72.0/21 | 232.16.72.1 to 232.16.79.254 | 232.16.79.255 | 2,046 |
| 11 | 232.16.80.0/21 | 232.16.80.1 to 232.16.87.254 | 232.16.87.255 | 2,046 |
| 12 | 232.16.88.0/21 | 232.16.88.1 to 232.16.95.254 | 232.16.95.255 | 2,046 |
| 13 | 232.16.96.0/21 | 232.16.96.1 to 232.16.103.254 | 232.16.103.255 | 2,046 |
| 14 | 232.16.104.0/21 | 232.16.104.1 to 232.16.111.254 | 232.16.111.255 | 2,046 |
| 15 | 232.16.112.0/21 | 232.16.112.1 to 232.16.119.254 | 232.16.119.255 | 2,046 |
| 16 | 232.16.120.0/21 | 232.16.120.1 to 232.16.127.254 | 232.16.127.255 | 2,046 |
| 17 | 232.16.128.0/21 | 232.16.128.1 to 232.16.135.254 | 232.16.135.255 | 2,046 |
| 18 | 232.16.136.0/21 | 232.16.136.1 to 232.16.143.254 | 232.16.143.255 | 2,046 |
| 19 | 232.16.144.0/21 | 232.16.144.1 to 232.16.151.254 | 232.16.151.255 | 2,046 |
| 20 | 232.16.152.0/21 | 232.16.152.1 to 232.16.159.254 | 232.16.159.255 | 2,046 |
| 21 | 232.16.160.0/21 | 232.16.160.1 to 232.16.167.254 | 232.16.167.255 | 2,046 |
| 22 | 232.16.168.0/21 | 232.16.168.1 to 232.16.175.254 | 232.16.175.255 | 2,046 |
| 23 | 232.16.176.0/21 | 232.16.176.1 to 232.16.183.254 | 232.16.183.255 | 2,046 |
| 24 | 232.16.184.0/21 | 232.16.184.1 to 232.16.191.254 | 232.16.191.255 | 2,046 |
| 25 | 232.16.192.0/21 | 232.16.192.1 to 232.16.199.254 | 232.16.199.255 | 2,046 |
| 26 | 232.16.200.0/21 | 232.16.200.1 to 232.16.207.254 | 232.16.207.255 | 2,046 |
| 27 | 232.16.208.0/21 | 232.16.208.1 to 232.16.215.254 | 232.16.215.255 | 2,046 |
| 28 | 232.16.216.0/21 | 232.16.216.1 to 232.16.223.254 | 232.16.223.255 | 2,046 |
| 29 | 232.16.224.0/21 | 232.16.224.1 to 232.16.231.254 | 232.16.231.255 | 2,046 |
| 30 | 232.16.232.0/21 | 232.16.232.1 to 232.16.239.254 | 232.16.239.255 | 2,046 |
| 31 | 232.16.240.0/21 | 232.16.240.1 to 232.16.247.254 | 232.16.247.255 | 2,046 |
| 32 | 232.16.248.0/21 | 232.16.248.1 to 232.16.255.254 | 232.16.255.255 | 2,046 |
| 33 | 232.17.0.0/21 | 232.17.0.1 to 232.17.7.254 | 232.17.7.255 | 2,046 |
| 34 | 232.17.8.0/21 | 232.17.8.1 to 232.17.15.254 | 232.17.15.255 | 2,046 |
| 35 | 232.17.16.0/21 | 232.17.16.1 to 232.17.23.254 | 232.17.23.255 | 2,046 |
| 36 | 232.17.24.0/21 | 232.17.24.1 to 232.17.31.254 | 232.17.31.255 | 2,046 |
| 37 | 232.17.32.0/21 | 232.17.32.1 to 232.17.39.254 | 232.17.39.255 | 2,046 |
| 38 | 232.17.40.0/21 | 232.17.40.1 to 232.17.47.254 | 232.17.47.255 | 2,046 |
| 39 | 232.17.48.0/21 | 232.17.48.1 to 232.17.55.254 | 232.17.55.255 | 2,046 |
| 40 | 232.17.56.0/21 | 232.17.56.1 to 232.17.63.254 | 232.17.63.255 | 2,046 |
| 41 | 232.17.64.0/21 | 232.17.64.1 to 232.17.71.254 | 232.17.71.255 | 2,046 |
| 42 | 232.17.72.0/21 | 232.17.72.1 to 232.17.79.254 | 232.17.79.255 | 2,046 |
| 43 | 232.17.80.0/21 | 232.17.80.1 to 232.17.87.254 | 232.17.87.255 | 2,046 |
| 44 | 232.17.88.0/21 | 232.17.88.1 to 232.17.95.254 | 232.17.95.255 | 2,046 |
| 45 | 232.17.96.0/21 | 232.17.96.1 to 232.17.103.254 | 232.17.103.255 | 2,046 |
| 46 | 232.17.104.0/21 | 232.17.104.1 to 232.17.111.254 | 232.17.111.255 | 2,046 |
| 47 | 232.17.112.0/21 | 232.17.112.1 to 232.17.119.254 | 232.17.119.255 | 2,046 |
| 48 | 232.17.120.0/21 | 232.17.120.1 to 232.17.127.254 | 232.17.127.255 | 2,046 |
| 49 | 232.17.128.0/21 | 232.17.128.1 to 232.17.135.254 | 232.17.135.255 | 2,046 |
| 50 | 232.17.136.0/21 | 232.17.136.1 to 232.17.143.254 | 232.17.143.255 | 2,046 |
| 51 | 232.17.144.0/21 | 232.17.144.1 to 232.17.151.254 | 232.17.151.255 | 2,046 |
| 52 | 232.17.152.0/21 | 232.17.152.1 to 232.17.159.254 | 232.17.159.255 | 2,046 |
| 53 | 232.17.160.0/21 | 232.17.160.1 to 232.17.167.254 | 232.17.167.255 | 2,046 |
| 54 | 232.17.168.0/21 | 232.17.168.1 to 232.17.175.254 | 232.17.175.255 | 2,046 |
| 55 | 232.17.176.0/21 | 232.17.176.1 to 232.17.183.254 | 232.17.183.255 | 2,046 |
| 56 | 232.17.184.0/21 | 232.17.184.1 to 232.17.191.254 | 232.17.191.255 | 2,046 |
| 57 | 232.17.192.0/21 | 232.17.192.1 to 232.17.199.254 | 232.17.199.255 | 2,046 |
| 58 | 232.17.200.0/21 | 232.17.200.1 to 232.17.207.254 | 232.17.207.255 | 2,046 |
| 59 | 232.17.208.0/21 | 232.17.208.1 to 232.17.215.254 | 232.17.215.255 | 2,046 |
| 60 | 232.17.216.0/21 | 232.17.216.1 to 232.17.223.254 | 232.17.223.255 | 2,046 |
| 61 | 232.17.224.0/21 | 232.17.224.1 to 232.17.231.254 | 232.17.231.255 | 2,046 |
| 62 | 232.17.232.0/21 | 232.17.232.1 to 232.17.239.254 | 232.17.239.255 | 2,046 |
| 63 | 232.17.240.0/21 | 232.17.240.1 to 232.17.247.254 | 232.17.247.255 | 2,046 |
| 64 | 232.17.248.0/21 | 232.17.248.1 to 232.17.255.254 | 232.17.255.255 | 2,046 |
| 65 | 232.18.0.0/21 | 232.18.0.1 to 232.18.7.254 | 232.18.7.255 | 2,046 |
| 66 | 232.18.8.0/21 | 232.18.8.1 to 232.18.15.254 | 232.18.15.255 | 2,046 |
| 67 | 232.18.16.0/21 | 232.18.16.1 to 232.18.23.254 | 232.18.23.255 | 2,046 |
| 68 | 232.18.24.0/21 | 232.18.24.1 to 232.18.31.254 | 232.18.31.255 | 2,046 |
| 69 | 232.18.32.0/21 | 232.18.32.1 to 232.18.39.254 | 232.18.39.255 | 2,046 |
| 70 | 232.18.40.0/21 | 232.18.40.1 to 232.18.47.254 | 232.18.47.255 | 2,046 |
| 71 | 232.18.48.0/21 | 232.18.48.1 to 232.18.55.254 | 232.18.55.255 | 2,046 |
| 72 | 232.18.56.0/21 | 232.18.56.1 to 232.18.63.254 | 232.18.63.255 | 2,046 |
| 73 | 232.18.64.0/21 | 232.18.64.1 to 232.18.71.254 | 232.18.71.255 | 2,046 |
| 74 | 232.18.72.0/21 | 232.18.72.1 to 232.18.79.254 | 232.18.79.255 | 2,046 |
| 75 | 232.18.80.0/21 | 232.18.80.1 to 232.18.87.254 | 232.18.87.255 | 2,046 |
| 76 | 232.18.88.0/21 | 232.18.88.1 to 232.18.95.254 | 232.18.95.255 | 2,046 |
| 77 | 232.18.96.0/21 | 232.18.96.1 to 232.18.103.254 | 232.18.103.255 | 2,046 |
| 78 | 232.18.104.0/21 | 232.18.104.1 to 232.18.111.254 | 232.18.111.255 | 2,046 |
| 79 | 232.18.112.0/21 | 232.18.112.1 to 232.18.119.254 | 232.18.119.255 | 2,046 |
| 80 | 232.18.120.0/21 | 232.18.120.1 to 232.18.127.254 | 232.18.127.255 | 2,046 |
| 81 | 232.18.128.0/21 | 232.18.128.1 to 232.18.135.254 | 232.18.135.255 | 2,046 |
| 82 | 232.18.136.0/21 | 232.18.136.1 to 232.18.143.254 | 232.18.143.255 | 2,046 |
| 83 | 232.18.144.0/21 | 232.18.144.1 to 232.18.151.254 | 232.18.151.255 | 2,046 |
| 84 | 232.18.152.0/21 | 232.18.152.1 to 232.18.159.254 | 232.18.159.255 | 2,046 |
| 85 | 232.18.160.0/21 | 232.18.160.1 to 232.18.167.254 | 232.18.167.255 | 2,046 |
| 86 | 232.18.168.0/21 | 232.18.168.1 to 232.18.175.254 | 232.18.175.255 | 2,046 |
| 87 | 232.18.176.0/21 | 232.18.176.1 to 232.18.183.254 | 232.18.183.255 | 2,046 |
| 88 | 232.18.184.0/21 | 232.18.184.1 to 232.18.191.254 | 232.18.191.255 | 2,046 |
| 89 | 232.18.192.0/21 | 232.18.192.1 to 232.18.199.254 | 232.18.199.255 | 2,046 |
| 90 | 232.18.200.0/21 | 232.18.200.1 to 232.18.207.254 | 232.18.207.255 | 2,046 |
| 91 | 232.18.208.0/21 | 232.18.208.1 to 232.18.215.254 | 232.18.215.255 | 2,046 |
| 92 | 232.18.216.0/21 | 232.18.216.1 to 232.18.223.254 | 232.18.223.255 | 2,046 |
| 93 | 232.18.224.0/21 | 232.18.224.1 to 232.18.231.254 | 232.18.231.255 | 2,046 |
| 94 | 232.18.232.0/21 | 232.18.232.1 to 232.18.239.254 | 232.18.239.255 | 2,046 |
| 95 | 232.18.240.0/21 | 232.18.240.1 to 232.18.247.254 | 232.18.247.255 | 2,046 |
| 96 | 232.18.248.0/21 | 232.18.248.1 to 232.18.255.254 | 232.18.255.255 | 2,046 |
| 97 | 232.19.0.0/21 | 232.19.0.1 to 232.19.7.254 | 232.19.7.255 | 2,046 |
| 98 | 232.19.8.0/21 | 232.19.8.1 to 232.19.15.254 | 232.19.15.255 | 2,046 |
| 99 | 232.19.16.0/21 | 232.19.16.1 to 232.19.23.254 | 232.19.23.255 | 2,046 |
| 100 | 232.19.24.0/21 | 232.19.24.1 to 232.19.31.254 | 232.19.31.255 | 2,046 |
| 101 | 232.19.32.0/21 | 232.19.32.1 to 232.19.39.254 | 232.19.39.255 | 2,046 |
| 102 | 232.19.40.0/21 | 232.19.40.1 to 232.19.47.254 | 232.19.47.255 | 2,046 |
| 103 | 232.19.48.0/21 | 232.19.48.1 to 232.19.55.254 | 232.19.55.255 | 2,046 |
| 104 | 232.19.56.0/21 | 232.19.56.1 to 232.19.63.254 | 232.19.63.255 | 2,046 |
| 105 | 232.19.64.0/21 | 232.19.64.1 to 232.19.71.254 | 232.19.71.255 | 2,046 |
| 106 | 232.19.72.0/21 | 232.19.72.1 to 232.19.79.254 | 232.19.79.255 | 2,046 |
| 107 | 232.19.80.0/21 | 232.19.80.1 to 232.19.87.254 | 232.19.87.255 | 2,046 |
| 108 | 232.19.88.0/21 | 232.19.88.1 to 232.19.95.254 | 232.19.95.255 | 2,046 |
| 109 | 232.19.96.0/21 | 232.19.96.1 to 232.19.103.254 | 232.19.103.255 | 2,046 |
| 110 | 232.19.104.0/21 | 232.19.104.1 to 232.19.111.254 | 232.19.111.255 | 2,046 |
| 111 | 232.19.112.0/21 | 232.19.112.1 to 232.19.119.254 | 232.19.119.255 | 2,046 |
| 112 | 232.19.120.0/21 | 232.19.120.1 to 232.19.127.254 | 232.19.127.255 | 2,046 |
| 113 | 232.19.128.0/21 | 232.19.128.1 to 232.19.135.254 | 232.19.135.255 | 2,046 |
| 114 | 232.19.136.0/21 | 232.19.136.1 to 232.19.143.254 | 232.19.143.255 | 2,046 |
| 115 | 232.19.144.0/21 | 232.19.144.1 to 232.19.151.254 | 232.19.151.255 | 2,046 |
| 116 | 232.19.152.0/21 | 232.19.152.1 to 232.19.159.254 | 232.19.159.255 | 2,046 |
| 117 | 232.19.160.0/21 | 232.19.160.1 to 232.19.167.254 | 232.19.167.255 | 2,046 |
| 118 | 232.19.168.0/21 | 232.19.168.1 to 232.19.175.254 | 232.19.175.255 | 2,046 |
| 119 | 232.19.176.0/21 | 232.19.176.1 to 232.19.183.254 | 232.19.183.255 | 2,046 |
| 120 | 232.19.184.0/21 | 232.19.184.1 to 232.19.191.254 | 232.19.191.255 | 2,046 |
| 121 | 232.19.192.0/21 | 232.19.192.1 to 232.19.199.254 | 232.19.199.255 | 2,046 |
| 122 | 232.19.200.0/21 | 232.19.200.1 to 232.19.207.254 | 232.19.207.255 | 2,046 |
| 123 | 232.19.208.0/21 | 232.19.208.1 to 232.19.215.254 | 232.19.215.255 | 2,046 |
| 124 | 232.19.216.0/21 | 232.19.216.1 to 232.19.223.254 | 232.19.223.255 | 2,046 |
| 125 | 232.19.224.0/21 | 232.19.224.1 to 232.19.231.254 | 232.19.231.255 | 2,046 |
| 126 | 232.19.232.0/21 | 232.19.232.1 to 232.19.239.254 | 232.19.239.255 | 2,046 |
| 127 | 232.19.240.0/21 | 232.19.240.1 to 232.19.247.254 | 232.19.247.255 | 2,046 |
| 128 | 232.19.248.0/21 | 232.19.248.1 to 232.19.255.254 | 232.19.255.255 | 2,046 |
| 129 | 232.20.0.0/21 | 232.20.0.1 to 232.20.7.254 | 232.20.7.255 | 2,046 |
| 130 | 232.20.8.0/21 | 232.20.8.1 to 232.20.15.254 | 232.20.15.255 | 2,046 |
| 131 | 232.20.16.0/21 | 232.20.16.1 to 232.20.23.254 | 232.20.23.255 | 2,046 |
| 132 | 232.20.24.0/21 | 232.20.24.1 to 232.20.31.254 | 232.20.31.255 | 2,046 |
| 133 | 232.20.32.0/21 | 232.20.32.1 to 232.20.39.254 | 232.20.39.255 | 2,046 |
| 134 | 232.20.40.0/21 | 232.20.40.1 to 232.20.47.254 | 232.20.47.255 | 2,046 |
| 135 | 232.20.48.0/21 | 232.20.48.1 to 232.20.55.254 | 232.20.55.255 | 2,046 |
| 136 | 232.20.56.0/21 | 232.20.56.1 to 232.20.63.254 | 232.20.63.255 | 2,046 |
| 137 | 232.20.64.0/21 | 232.20.64.1 to 232.20.71.254 | 232.20.71.255 | 2,046 |
| 138 | 232.20.72.0/21 | 232.20.72.1 to 232.20.79.254 | 232.20.79.255 | 2,046 |
| 139 | 232.20.80.0/21 | 232.20.80.1 to 232.20.87.254 | 232.20.87.255 | 2,046 |
| 140 | 232.20.88.0/21 | 232.20.88.1 to 232.20.95.254 | 232.20.95.255 | 2,046 |
| 141 | 232.20.96.0/21 | 232.20.96.1 to 232.20.103.254 | 232.20.103.255 | 2,046 |
| 142 | 232.20.104.0/21 | 232.20.104.1 to 232.20.111.254 | 232.20.111.255 | 2,046 |
| 143 | 232.20.112.0/21 | 232.20.112.1 to 232.20.119.254 | 232.20.119.255 | 2,046 |
| 144 | 232.20.120.0/21 | 232.20.120.1 to 232.20.127.254 | 232.20.127.255 | 2,046 |
| 145 | 232.20.128.0/21 | 232.20.128.1 to 232.20.135.254 | 232.20.135.255 | 2,046 |
| 146 | 232.20.136.0/21 | 232.20.136.1 to 232.20.143.254 | 232.20.143.255 | 2,046 |
| 147 | 232.20.144.0/21 | 232.20.144.1 to 232.20.151.254 | 232.20.151.255 | 2,046 |
| 148 | 232.20.152.0/21 | 232.20.152.1 to 232.20.159.254 | 232.20.159.255 | 2,046 |
| 149 | 232.20.160.0/21 | 232.20.160.1 to 232.20.167.254 | 232.20.167.255 | 2,046 |
| 150 | 232.20.168.0/21 | 232.20.168.1 to 232.20.175.254 | 232.20.175.255 | 2,046 |
| 151 | 232.20.176.0/21 | 232.20.176.1 to 232.20.183.254 | 232.20.183.255 | 2,046 |
| 152 | 232.20.184.0/21 | 232.20.184.1 to 232.20.191.254 | 232.20.191.255 | 2,046 |
| 153 | 232.20.192.0/21 | 232.20.192.1 to 232.20.199.254 | 232.20.199.255 | 2,046 |
| 154 | 232.20.200.0/21 | 232.20.200.1 to 232.20.207.254 | 232.20.207.255 | 2,046 |
| 155 | 232.20.208.0/21 | 232.20.208.1 to 232.20.215.254 | 232.20.215.255 | 2,046 |
| 156 | 232.20.216.0/21 | 232.20.216.1 to 232.20.223.254 | 232.20.223.255 | 2,046 |
| 157 | 232.20.224.0/21 | 232.20.224.1 to 232.20.231.254 | 232.20.231.255 | 2,046 |
| 158 | 232.20.232.0/21 | 232.20.232.1 to 232.20.239.254 | 232.20.239.255 | 2,046 |
| 159 | 232.20.240.0/21 | 232.20.240.1 to 232.20.247.254 | 232.20.247.255 | 2,046 |
| 160 | 232.20.248.0/21 | 232.20.248.1 to 232.20.255.254 | 232.20.255.255 | 2,046 |
| 161 | 232.21.0.0/21 | 232.21.0.1 to 232.21.7.254 | 232.21.7.255 | 2,046 |
| 162 | 232.21.8.0/21 | 232.21.8.1 to 232.21.15.254 | 232.21.15.255 | 2,046 |
| 163 | 232.21.16.0/21 | 232.21.16.1 to 232.21.23.254 | 232.21.23.255 | 2,046 |
| 164 | 232.21.24.0/21 | 232.21.24.1 to 232.21.31.254 | 232.21.31.255 | 2,046 |
| 165 | 232.21.32.0/21 | 232.21.32.1 to 232.21.39.254 | 232.21.39.255 | 2,046 |
| 166 | 232.21.40.0/21 | 232.21.40.1 to 232.21.47.254 | 232.21.47.255 | 2,046 |
| 167 | 232.21.48.0/21 | 232.21.48.1 to 232.21.55.254 | 232.21.55.255 | 2,046 |
| 168 | 232.21.56.0/21 | 232.21.56.1 to 232.21.63.254 | 232.21.63.255 | 2,046 |
| 169 | 232.21.64.0/21 | 232.21.64.1 to 232.21.71.254 | 232.21.71.255 | 2,046 |
| 170 | 232.21.72.0/21 | 232.21.72.1 to 232.21.79.254 | 232.21.79.255 | 2,046 |
| 171 | 232.21.80.0/21 | 232.21.80.1 to 232.21.87.254 | 232.21.87.255 | 2,046 |
| 172 | 232.21.88.0/21 | 232.21.88.1 to 232.21.95.254 | 232.21.95.255 | 2,046 |
| 173 | 232.21.96.0/21 | 232.21.96.1 to 232.21.103.254 | 232.21.103.255 | 2,046 |
| 174 | 232.21.104.0/21 | 232.21.104.1 to 232.21.111.254 | 232.21.111.255 | 2,046 |
| 175 | 232.21.112.0/21 | 232.21.112.1 to 232.21.119.254 | 232.21.119.255 | 2,046 |
| 176 | 232.21.120.0/21 | 232.21.120.1 to 232.21.127.254 | 232.21.127.255 | 2,046 |
| 177 | 232.21.128.0/21 | 232.21.128.1 to 232.21.135.254 | 232.21.135.255 | 2,046 |
| 178 | 232.21.136.0/21 | 232.21.136.1 to 232.21.143.254 | 232.21.143.255 | 2,046 |
| 179 | 232.21.144.0/21 | 232.21.144.1 to 232.21.151.254 | 232.21.151.255 | 2,046 |
| 180 | 232.21.152.0/21 | 232.21.152.1 to 232.21.159.254 | 232.21.159.255 | 2,046 |
| 181 | 232.21.160.0/21 | 232.21.160.1 to 232.21.167.254 | 232.21.167.255 | 2,046 |
| 182 | 232.21.168.0/21 | 232.21.168.1 to 232.21.175.254 | 232.21.175.255 | 2,046 |
| 183 | 232.21.176.0/21 | 232.21.176.1 to 232.21.183.254 | 232.21.183.255 | 2,046 |
| 184 | 232.21.184.0/21 | 232.21.184.1 to 232.21.191.254 | 232.21.191.255 | 2,046 |
| 185 | 232.21.192.0/21 | 232.21.192.1 to 232.21.199.254 | 232.21.199.255 | 2,046 |
| 186 | 232.21.200.0/21 | 232.21.200.1 to 232.21.207.254 | 232.21.207.255 | 2,046 |
| 187 | 232.21.208.0/21 | 232.21.208.1 to 232.21.215.254 | 232.21.215.255 | 2,046 |
| 188 | 232.21.216.0/21 | 232.21.216.1 to 232.21.223.254 | 232.21.223.255 | 2,046 |
| 189 | 232.21.224.0/21 | 232.21.224.1 to 232.21.231.254 | 232.21.231.255 | 2,046 |
| 190 | 232.21.232.0/21 | 232.21.232.1 to 232.21.239.254 | 232.21.239.255 | 2,046 |
| 191 | 232.21.240.0/21 | 232.21.240.1 to 232.21.247.254 | 232.21.247.255 | 2,046 |
| 192 | 232.21.248.0/21 | 232.21.248.1 to 232.21.255.254 | 232.21.255.255 | 2,046 |
| 193 | 232.22.0.0/21 | 232.22.0.1 to 232.22.7.254 | 232.22.7.255 | 2,046 |
| 194 | 232.22.8.0/21 | 232.22.8.1 to 232.22.15.254 | 232.22.15.255 | 2,046 |
| 195 | 232.22.16.0/21 | 232.22.16.1 to 232.22.23.254 | 232.22.23.255 | 2,046 |
| 196 | 232.22.24.0/21 | 232.22.24.1 to 232.22.31.254 | 232.22.31.255 | 2,046 |
| 197 | 232.22.32.0/21 | 232.22.32.1 to 232.22.39.254 | 232.22.39.255 | 2,046 |
| 198 | 232.22.40.0/21 | 232.22.40.1 to 232.22.47.254 | 232.22.47.255 | 2,046 |
| 199 | 232.22.48.0/21 | 232.22.48.1 to 232.22.55.254 | 232.22.55.255 | 2,046 |
| 200 | 232.22.56.0/21 | 232.22.56.1 to 232.22.63.254 | 232.22.63.255 | 2,046 |
| 201 | 232.22.64.0/21 | 232.22.64.1 to 232.22.71.254 | 232.22.71.255 | 2,046 |
| 202 | 232.22.72.0/21 | 232.22.72.1 to 232.22.79.254 | 232.22.79.255 | 2,046 |
| 203 | 232.22.80.0/21 | 232.22.80.1 to 232.22.87.254 | 232.22.87.255 | 2,046 |
| 204 | 232.22.88.0/21 | 232.22.88.1 to 232.22.95.254 | 232.22.95.255 | 2,046 |
| 205 | 232.22.96.0/21 | 232.22.96.1 to 232.22.103.254 | 232.22.103.255 | 2,046 |
| 206 | 232.22.104.0/21 | 232.22.104.1 to 232.22.111.254 | 232.22.111.255 | 2,046 |
| 207 | 232.22.112.0/21 | 232.22.112.1 to 232.22.119.254 | 232.22.119.255 | 2,046 |
| 208 | 232.22.120.0/21 | 232.22.120.1 to 232.22.127.254 | 232.22.127.255 | 2,046 |
| 209 | 232.22.128.0/21 | 232.22.128.1 to 232.22.135.254 | 232.22.135.255 | 2,046 |
| 210 | 232.22.136.0/21 | 232.22.136.1 to 232.22.143.254 | 232.22.143.255 | 2,046 |
| 211 | 232.22.144.0/21 | 232.22.144.1 to 232.22.151.254 | 232.22.151.255 | 2,046 |
| 212 | 232.22.152.0/21 | 232.22.152.1 to 232.22.159.254 | 232.22.159.255 | 2,046 |
| 213 | 232.22.160.0/21 | 232.22.160.1 to 232.22.167.254 | 232.22.167.255 | 2,046 |
| 214 | 232.22.168.0/21 | 232.22.168.1 to 232.22.175.254 | 232.22.175.255 | 2,046 |
| 215 | 232.22.176.0/21 | 232.22.176.1 to 232.22.183.254 | 232.22.183.255 | 2,046 |
| 216 | 232.22.184.0/21 | 232.22.184.1 to 232.22.191.254 | 232.22.191.255 | 2,046 |
| 217 | 232.22.192.0/21 | 232.22.192.1 to 232.22.199.254 | 232.22.199.255 | 2,046 |
| 218 | 232.22.200.0/21 | 232.22.200.1 to 232.22.207.254 | 232.22.207.255 | 2,046 |
| 219 | 232.22.208.0/21 | 232.22.208.1 to 232.22.215.254 | 232.22.215.255 | 2,046 |
| 220 | 232.22.216.0/21 | 232.22.216.1 to 232.22.223.254 | 232.22.223.255 | 2,046 |
| 221 | 232.22.224.0/21 | 232.22.224.1 to 232.22.231.254 | 232.22.231.255 | 2,046 |
| 222 | 232.22.232.0/21 | 232.22.232.1 to 232.22.239.254 | 232.22.239.255 | 2,046 |
| 223 | 232.22.240.0/21 | 232.22.240.1 to 232.22.247.254 | 232.22.247.255 | 2,046 |
| 224 | 232.22.248.0/21 | 232.22.248.1 to 232.22.255.254 | 232.22.255.255 | 2,046 |
| 225 | 232.23.0.0/21 | 232.23.0.1 to 232.23.7.254 | 232.23.7.255 | 2,046 |
| 226 | 232.23.8.0/21 | 232.23.8.1 to 232.23.15.254 | 232.23.15.255 | 2,046 |
| 227 | 232.23.16.0/21 | 232.23.16.1 to 232.23.23.254 | 232.23.23.255 | 2,046 |
| 228 | 232.23.24.0/21 | 232.23.24.1 to 232.23.31.254 | 232.23.31.255 | 2,046 |
| 229 | 232.23.32.0/21 | 232.23.32.1 to 232.23.39.254 | 232.23.39.255 | 2,046 |
| 230 | 232.23.40.0/21 | 232.23.40.1 to 232.23.47.254 | 232.23.47.255 | 2,046 |
| 231 | 232.23.48.0/21 | 232.23.48.1 to 232.23.55.254 | 232.23.55.255 | 2,046 |
| 232 | 232.23.56.0/21 | 232.23.56.1 to 232.23.63.254 | 232.23.63.255 | 2,046 |
| 233 | 232.23.64.0/21 | 232.23.64.1 to 232.23.71.254 | 232.23.71.255 | 2,046 |
| 234 | 232.23.72.0/21 | 232.23.72.1 to 232.23.79.254 | 232.23.79.255 | 2,046 |
| 235 | 232.23.80.0/21 | 232.23.80.1 to 232.23.87.254 | 232.23.87.255 | 2,046 |
| 236 | 232.23.88.0/21 | 232.23.88.1 to 232.23.95.254 | 232.23.95.255 | 2,046 |
| 237 | 232.23.96.0/21 | 232.23.96.1 to 232.23.103.254 | 232.23.103.255 | 2,046 |
| 238 | 232.23.104.0/21 | 232.23.104.1 to 232.23.111.254 | 232.23.111.255 | 2,046 |
| 239 | 232.23.112.0/21 | 232.23.112.1 to 232.23.119.254 | 232.23.119.255 | 2,046 |
| 240 | 232.23.120.0/21 | 232.23.120.1 to 232.23.127.254 | 232.23.127.255 | 2,046 |
| 241 | 232.23.128.0/21 | 232.23.128.1 to 232.23.135.254 | 232.23.135.255 | 2,046 |
| 242 | 232.23.136.0/21 | 232.23.136.1 to 232.23.143.254 | 232.23.143.255 | 2,046 |
| 243 | 232.23.144.0/21 | 232.23.144.1 to 232.23.151.254 | 232.23.151.255 | 2,046 |
| 244 | 232.23.152.0/21 | 232.23.152.1 to 232.23.159.254 | 232.23.159.255 | 2,046 |
| 245 | 232.23.160.0/21 | 232.23.160.1 to 232.23.167.254 | 232.23.167.255 | 2,046 |
| 246 | 232.23.168.0/21 | 232.23.168.1 to 232.23.175.254 | 232.23.175.255 | 2,046 |
| 247 | 232.23.176.0/21 | 232.23.176.1 to 232.23.183.254 | 232.23.183.255 | 2,046 |
| 248 | 232.23.184.0/21 | 232.23.184.1 to 232.23.191.254 | 232.23.191.255 | 2,046 |
| 249 | 232.23.192.0/21 | 232.23.192.1 to 232.23.199.254 | 232.23.199.255 | 2,046 |
| 250 | 232.23.200.0/21 | 232.23.200.1 to 232.23.207.254 | 232.23.207.255 | 2,046 |
| 251 | 232.23.208.0/21 | 232.23.208.1 to 232.23.215.254 | 232.23.215.255 | 2,046 |
| 252 | 232.23.216.0/21 | 232.23.216.1 to 232.23.223.254 | 232.23.223.255 | 2,046 |
| 253 | 232.23.224.0/21 | 232.23.224.1 to 232.23.231.254 | 232.23.231.255 | 2,046 |
| 254 | 232.23.232.0/21 | 232.23.232.1 to 232.23.239.254 | 232.23.239.255 | 2,046 |
| 255 | 232.23.240.0/21 | 232.23.240.1 to 232.23.247.254 | 232.23.247.255 | 2,046 |
| 256 | 232.23.248.0/21 | 232.23.248.1 to 232.23.255.254 | 232.23.255.255 | 2,046 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |